Subject: bug#46972: RE : RE : RE : RE : RE : bug#46972: 28.0.50; [feature/native-comp] Emacs locks itself during native compilation because of permission denied

From: Matt M <[email-masked]>
Date: Fri, 12 Mar 2021 12:53:58 +0000

;; oldfile maybe recreated by another Emacs in
;; between the following two rename-file calls
I don’t know what code but the comment says that it can be. This
seems to be unique to Windows for some reason but I don’t know why.

De : Eli Zaretskii <[email-masked]>
Envoyé : Friday, March 12, 2021 1:45:46 PM
À : Matt M <[email-masked]>
Cc : [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Objet : Re: RE : RE : RE : RE : bug#46972: 28.0.50; [feature/native-comp] Emacs locks itself during native compilation because of permission denied

> From: Matt M <[email-masked]>
> CC: "[email-masked]" <[email-masked]>, "[email-masked]"
>        <[email-masked]>
> Date: Fri, 12 Mar 2021 11:37:22 +0000
>
> If I understand correctly, this is what happens currently :
>
> 1 Rename oldfile to new temporary name
> 2 Rename newfile to oldfile
> 3 If rename in 2) failed because oldfile has been recreated, go back to 1)

Why would oldfile be recreated? which code recreates it?